from Texture import*
from Light import *
from constants import *

class Door:

    def __init__(self):
        self.isOpen = 0
        self.direction = 90
        self.width = 0
        self.height = 0
        self.x = SWIDTH
        self.y = SHEIGHT / 2
        self.light = Light((self.x,self.y), self.direction, base_width = 35, fov = 5, length=350, color=[1,1,1])
        
    def draw(self):
        if self.isOpen:
            self.light.draw()
    
    